/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.domain;

import com.arsdigita.tools.junit.extensions.BaseTestSetup;
import com.arsdigita.tools.junit.extensions.CoreTestSetup;
import com.arsdigita.tools.junit.framework.PackageTestSuite;
import junit.framework.Test;

/**
 * DomainTestSuite
 *
 * @author Jon Orris
 * @version $Revision: #10 $ $Date: 2004/04/07 $
 */
public class DomainTestSuite extends PackageTestSuite {
    public final static String versionId = "$Id: //core-platform/dev/test/src/com/arsdigita/domain/DomainTestSuite.java#10 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";

    public DomainTestSuite() {
        super();
    }

    public DomainTestSuite(Class theClass) {
        super(theClass);
    }

    public DomainTestSuite(String name) {
        super(name);
    }

    public static Test suite() {
        DomainTestSuite suite = new DomainTestSuite();
        populateSuite(suite);
        BaseTestSetup wrapper = new CoreTestSetup(suite);
        wrapper.setSetupSQLScript("/domain/setup.sql");
        wrapper.setTeardownSQLScript("/domain/teardown.sql");
        return wrapper;
    }

    public static void main(String[] args) throws Exception {
        junit.textui.TestRunner.run( suite() );

    }

}
